//
//  Font.swift
//  AcaMate
//
//  Created by Sean Kim on 12/1/24.
//

import SwiftUI

extension Font {
    enum NPS_Font : String {
        case regular
        case bold
        
        var value: String {
            switch self {
            case .regular:
                return "NPS-font-Regular"
            case .bold:
                return "NPS-font-Bold"
            }
        }
    }

    static func nps(font: NPS_Font = .regular, size: CGFloat = 12) -> Font {
        return .custom(font.value, size: size)
    }
    
    
}
